schema_version: 0.3
type: consumer
identifier: sdl2
title: SDL2
version: 1
copyright: Meltytech, LLC
creator: Dan Dennedy
license: LGPLv2.1
language: en
tags:
  - Audio
  - Video
description: >
  Simple DirectMedia Layer audio and video output module
parameters:
  - identifier: resolution
    title: Resolution
    type: string
    description: The size of the window as WxH pixels
    argument: yes
    required: no

  - identifier: volume
    title: Volume
    type: float
    description: Audio level factor
    mutable: yes

  - identifier: video_off
    title: Video off
    type: boolean
    description: Disable video output
    mutable: yes
    default: 0
    widget: checkbox

  - identifier: audio_off
    title: Audio off
    type: boolean
    description: Disable audio output
    mutable: yes
    default: 0
    widget: checkbox

  - identifier: audio_buffer
    title: Audio buffer
    type: integer
    description: Size of the SDL audio buffer
    mutable: yes
    default: 2048
    minimum: 128

  - identifier: scrub_audio
    title: Audio scrubbing
    type: boolean
    description: Play sound even when the speed is not normal.
    mutable: yes
    default: 1
    widget: checkbox

  - identifier: terminate_on_pause
    title: Stop automatically
    type: boolean
    description: >
      Whether to stop playback at the end of the producer or when playback
      is paused.
    default: 0
    widget: checkbox
